### Class

# Foundry GitStatusEntry

#### Description

    final class Foundry.GitStatusEntry : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### foundry_git_status_entry_dup_icon

No description available.

###### foundry_git_status_entry_dup_path

No description available.

###### foundry_git_status_entry_has_staged_changed

No description available.

###### foundry_git_status_entry_has_unstaged_changed

No description available.

###### foundry_git_status_entry_is_new_file

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.GitStatusEntry:has-staged-changes

No description available.

###### Foundry.GitStatusEntry:has-unstaged-changes

No description available.

###### Foundry.GitStatusEntry:icon

No description available.

###### Foundry.GitStatusEntry:is-new-file

No description available.

###### Foundry.GitStatusEntry:path

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryGitStatusEntryClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.